<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 
$img_width = '80'; //가로길이 
$img_height = '70'; //세로길이 
$img_quality = '100'; //퀼리티 100이하로 설정

if (!function_exists("imagecopyresampled")) alert("GD 2.0.1 이상 버전이 설치되어 있어야 사용할 수 있는 갤러리 게시판 입니다.");

$data_path = $g4[path]."/data/file/$bo_table";
$thumb_path = $data_path.'/thumb'; //썸네일 이미지 생성 디렉토리

@mkdir($thumb_path, 0707);
@chmod($thumb_path, 0707);
?>
<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 
?>

<table align="center" cellpadding="0" cellspacing="0" width="100%" border="0">
	<tr height="1">
		<td bgcolor="#d8d8d8" colspan="3"></td>
	</tr>
	<tr>
		<td width="1" bgcolor="#d8d8d8"></td>
		<td>
		<table cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="10"></td>
				<td>
				<table cellpadding="0" cellspacing="0" width="100%" border="0">
					<tr height="5"><td colspan="2"></td></tr>
					<tr height="27">
						<td>
						<a href='<?=$g4[bbs_path]?>/board.php?bo_table=<?=$bo_table?>'><font color="#555555" ><b><?=$board[bo_subject]?></b></font></a>
						</td>
						<td align="right"><img src='<?=$latest_skin_path?>/img/icon.gif'><span style="font-size: 11px; color: #646464; font-family:dotum; letter-spacing:-1;"><a href='<?=$g4[bbs_path]?>/board.php?bo_table=<?=$bo_table?>'>더보기</a></span></td>
					</tr>
					<tr height="1"><td colspan="2" background="<?=$latest_skin_path?>/img/line_dot.gif" border="0"></td></tr>
					<tr height="5"><td colspan="2"></td></tr>
				</table>
				</td>
				<td width="10"></td>
			</tr>
		</table>
		<table align="center" cellpadding="0" cellspacing="0" width="100%" border="0">
			<? 
			for ($i=0; $i<count($list); $i++) {
				$img = "<img src=$latest_skin_path/img/no_image.gif>";
				$thumb = $thumb_path.'/'.$list[$i][wr_id];
					 if (!file_exists($thumb)) {
						$file = $list[$i][file][0][path] .'/'. $list[$i][file][0][file];
						// 업로드된 파일이 이미지라면
						if (preg_match("/\.(jp[e]?g|gif|png)$/i", $file) && file_exists($file)) {
							$size = getimagesize($file);
							if ($size[2] == 1)
								$src = imagecreatefromgif($file);
							else if ($size[2] == 2)
								$src = imagecreatefromjpeg($file);
							else if ($size[2] == 3)
								$src = imagecreatefrompng($file);
							else
								break;

							$rate = $img_width / $size[0];
							$height = (int)($size[1] * $rate);

							// 계산된 썸네일 이미지의 높이가 설정된 이미지의 높이보다 작다면
							if ($height < $img_height)
								// 계산된 이미지 높이로 복사본 이미지 생성
								$dst = imagecreatetruecolor($img_width, $height);
							else
								// 설정된 이미지 높이로 복사본 이미지 생성
								$dst = imagecreatetruecolor($img_width, $img_height);
							imagecopyresampled($dst, $src, 0, 0, 0, 0, $img_width, $height, $size[0], $size[1]);
							imagepng($dst, $thumb_path.'/'.$list[$i][wr_id], $img_quality);
							chmod($thumb_path.'/'.$list[$i][wr_id], 0606);
						}
					 }

			if (file_exists($thumb)){
				$img = "<a href='{$list[$i][href]}'><img src='$thumb' width='$img_width' height='$img_height' border='0'></a>";
			}
			?>
			<tr>
				<td width="10"></td>
				<td height="22">
				<?
				//날짜표시
				$subject = $list[$i][subject];
				$b_subject = "<strong>".$list[$i][subject]."<strong>";
				?>
				<table align="center" cellpadding="0" cellspacing="0" width="100%" border="0">
					<tr height="28">
						<td rowspan="4"><?=$img?></a></td>
						<td width="5"></td>
						<td align="left">
						<a href='<?=$list[$i][href]?>'><span style="font-size: 11px; color: #333333; font-family:dotum;"><?if ($list[$i][is_notice])
								echo $b_subject;
							else
								echo $subject;
							?></span></a>							
						</td>
					</tr>
					<tr height="18">
						<td></td>
						<td><span style="font-size: 11px; color: #3f627d; font-family:dotum;">개발 :</span> <span style="font-size: 11px; color: #aaaaaa; font-family:dotum; letter-spacing:0;"><?=$list[$i][name]?></span></td>
					</tr>
					<tr height="18">
						<td></td>
						<td><span style="font-size: 11px; color: #3f627d; font-family:dotum;">종류 :</span> <span style="font-size: 11px; color: #aaaaaa; font-family:dotum; letter-spacing:0;"><? if($list[$i][ca_name]) echo $list[$i][ca_name]; else echo "없음";?></span></td>
					</tr>
					<tr height="18">
						<td></td>
						<td><span style="font-size: 11px; color: #3f627d; font-family:dotum;">날짜 :</span> <span style="font-size: 11px; color: #aaaaaa; font-family:dotum; letter-spacing:0;"><?=$list[$i][datetime2]?></span></td>
					</tr>
				</table>
				<!--게시물 추출 글자 설정 끝-->
				</td>
			 </tr>
			 <tr height="6"><td colspan="2"></td></tr>
			 <? } ?>
			 <? if (count($list) == 0) { ?><tr height="88"><td align=center><font color=#6A6A6A>현재 등록된 글이 없습니다.</a></td></tr><? } ?>
		</table>
		</td>
		<td width="1" bgcolor="#d8d8d8"></td>
	</tr>
	<tr height="5">
		<td width="1" bgcolor="#d8d8d8"></td>
		<td></td>
		<td width="1" bgcolor="#d8d8d8"></td>
	</tr>
	<tr height="1">
		<td bgcolor="#d8d8d8" colspan="3"></td>
	</tr>
</table>
		

